Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452089 - rhn_register fails, error has occurred: exceptions.ImportError
Summary: rhn_register fails, error has occurred: exceptions.ImportError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 09:16 UTC by Petr Sklenar
Modified: 2008-07-24 20:06 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0771
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 20:06:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0771 normal SHIPPED_LIVE up2date bug fix update 2008-07-23 17:20:34 UTC

Description Petr Sklenar 2008-06-19 09:16:45 UTC
Description of problem:
When I run `rhn_register`, it fails on all arch

Version-Release number of selected component (if applicable):

up2date-4.7.1-7.el4

How reproducible:
always

Steps to Reproduce:
1. rhn_register

  
Actual results:
[root@proliant05 8295]# rhn_register 
An error has occurred:
exceptions.ImportError
See /var/log/up2date for more information
[root@proliant05 8295]# tail /var/log/up2date

[Thu Jun 19 09:44:03 2008] up2date availablePackageList from network
[Thu Jun 19 11:06:35 2008] up2date   File "/usr/sbin/rhn_register", line 1312, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/rhn_register", line 738, in main
    from up2date_client import tui
   File "/usr/share/rhn/up2date_client/tui.py", line 33, in ?
    from rhnreg_constants import *

[Thu Jun 19 11:10:32 2008] up2date   File "/usr/sbin/rhn_register", line 1312, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/rhn_register", line 738, in main
    from up2date_client import tui
   File "/usr/share/rhn/up2date_client/tui.py", line 33, in ?
    from rhnreg_constants import *
[root@proliant05 8295]# uname -a
Linux proliant05.englab.brq.redhat.com 2.6.9-67.ELsmp #1 SMP Wed Nov 7 13:58:04
EST 2007 i686 i686 i386 GNU/Linux


Expected results:

rhn_register has to run

Additional info:
its a regression

Comment 1 Jan Hutař 2008-06-19 10:53:03 UTC
For some reason, file rhnreg_constants.py is missing in the package (but is 
available in a tar.gz in a src.rpm package) - so maybe just an spec issue?

# rpm -qpl /mnt/redhat/brewroot/packages/up2date/4.7.1/7.el4/i386/
up2date-4.7.1-7.el4.i386.rpm | grep rhnreg_constants
<nothing>

When I copy rhnreg_constants.py from the src.rpm's tar.gz to the /usr/share/rhn/
rhnreg_constants.py, rhn_register starts as usuall.

Comment 2 Jan Hutař 2008-06-19 11:05:28 UTC
This was introduced as an respin from up2date-4.7.1-6.el4 to up2date-4.7.1-7.el4

Comment 10 errata-xmlrpc 2008-07-24 20:06:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0771.html


Note You need to log in before you can comment on or make changes to this bug.